Merge shorts videos and add subtitles
curl --request POST \
--url https://www.citedy.com/api/agent/shorts/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_urls": [
"<string>"
],
"phrases": [
{
"text": "<string>"
}
],
"config": {
"words_per_phrase": 5,
"font_size": 44,
"position_from_bottom": 175,
"text_color": "<string>",
"stroke_color": "<string>",
"stroke_width": 2
}
}
'import requests
url = "https://www.citedy.com/api/agent/shorts/merge"
payload = {
"video_urls": ["<string>"],
"phrases": [{ "text": "<string>" }],
"config": {
"words_per_phrase": 5,
"font_size": 44,
"position_from_bottom": 175,
"text_color": "<string>",
"stroke_color": "<string>",
"stroke_width": 2
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
video_urls: ['<string>'],
phrases: [{text: '<string>'}],
config: {
words_per_phrase: 5,
font_size: 44,
position_from_bottom: 175,
text_color: '<string>',
stroke_color: '<string>',
stroke_width: 2
}
})
};
fetch('https://www.citedy.com/api/agent/shorts/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"video_url": "<string>",
"r2_key": "<string>",
"duration": 1,
"segment_durations": [
1
],
"credits_charged": 1
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"credits_required": 123,
"topup": {
"recommended_package_credits": 123,
"recommended_package_price_usd": 123,
"topup_url": "<string>"
},
"message": "<string>",
"breakdown": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Video (Shorts)
Merge shorts videos and add subtitles
POST
/
api
/
agent
/
shorts
/
merge
Merge shorts videos and add subtitles
Authorizations
Bearer citedy_agent_* key
Body
application/json
2-4 video URLs hosted on download.citedy.com
Required array length:
2 - 4 elementsPattern:
^https://download\.citedy\.com/Must contain exactly one phrase per video URL
Required array length:
2 - 4 elementsShow child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
